For the complete documentation index, see llms.txt. This page is also available as Markdown.

ApPmtTermsTablePagedList

Perform various operations for Symitar parameters.

Symitar eDocs References: Coming soon.

Operations

getApPmtTermsTablePagedList

post

Retrieve ApPmtTermsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getApPmtTermsTablePagedList
POST /nexum/627/2022.01/parameter/getApPmtTermsTablePagedList HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 238

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0,
    "Token": "example-token"
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "ApPmtTermsTable": [],
  "Token": null,
  "MessageId": "getApPmtTermsTablePagedList"
}

getApPmtTermsTablePagedListSelectFields

post

Retrieve ApPmtTermsTable parameter records. ParameterService is available for SymXchange 2022.01 in this documentation set.

Authorizations
Body
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getApPmtTermsTablePagedListSelectFields
POST /nexum/627/2022.01/parameter/getApPmtTermsTablePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 277

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "parameter-reference"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true
  }
}
200

Successful operation.

{
  "ApPmtTermsTable": [
    {
      "DayofMonthDue": 0,
      "DaysBeforeDue": 0,
      "DiscountNumDays": 0,
      "DiscountRate": "0.000",
      "LongDescription": null,
      "ShortDescription": null
    }
  ],
  "Token": "{paging-token}",
  "MessageId": "getApPmtTermsTablePagedListSelectFields"
}

getApPmtTermsTableListSelectFields

post
Authorizations
Body
Responses
200

Successful operation.

application/json
post/getApPmtTermsTableListSelectFields
POST /nexum/627/2022.01/parameter/getApPmtTermsTableListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 415

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ApPmtTermsTableList": {
    "hasReachedMaximumListSize": true,
    "ApPmtTermsTable": [
      {
        "DayofMonthDue": 1,
        "DaysBeforeDue": 1,
        "DiscountNumDays": 1,
        "DiscountRate": 1,
        "LongDescription": "text",
        "ShortDescription": "text"
      }
    ]
  }
}

searchApPmtTermsTableSelectFields

post

Search AP payment terms table select fields

Authorizations
Body
Responses
200

Successful operation.

application/json
post/searchApPmtTermsTableSelectFields
POST /nexum/627/2022.01/parameter/searchApPmtTermsTableSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 447

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "SearchFilter": {
    "Query": "text"
  },
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ApPmtTermsTableList": {
    "hasReachedMaximumListSize": true,
    "ApPmtTermsTable": [
      {
        "DayofMonthDue": 1,
        "DaysBeforeDue": 1,
        "DiscountNumDays": 1,
        "DiscountRate": 1,
        "LongDescription": "text",
        "ShortDescription": "text"
      }
    ]
  }
}

searchApPmtTermsTablePagedSelectFields

post

Search AP payment terms table paged select fields

Authorizations
Body
QuerystringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchApPmtTermsTablePagedSelectFields
POST /nexum/627/2022.01/parameter/searchApPmtTermsTablePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Content-Type: application/json
Accept: */*
Content-Length: 524

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "text"
    },
    "UserNumberCredentials": {
      "UserNumber": 1,
      "Password": "text"
    },
    "TokenCredentials": {
      "TokenId": "text"
    }
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 1,
    "NumberOfRecordsToSkip": 1,
    "Token": "text"
  },
  "SelectableFields": {
    "IncludeAllApPmtTermsTableFields": true,
    "ApPmtTermsTableFields": {
      "DayofMonthDue": true,
      "DaysBeforeDue": true,
      "DiscountNumDays": true,
      "DiscountRate": true,
      "LongDescription": true,
      "ShortDescription": true
    }
  },
  "Query": "text",
  "nxAttributes": {
    "customFields": {}
  }
}
200

Successful operation.

{
  "ApPmtTermsTable": [
    {
      "DayofMonthDue": 1,
      "DaysBeforeDue": 1,
      "DiscountNumDays": 1,
      "DiscountRate": 1,
      "LongDescription": "text",
      "ShortDescription": "text"
    }
  ],
  "Token": "text"
}

Last updated

Was this helpful?